| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
Digikam::QueueSettings Class Reference

This container host all common settings used by a queue, not including assigned batch tools.

## Public Types
enum | RawLoadingRule { USEEMBEDEDJPEG = 0 , DEMOSAICING }
enum | RenamingRule { USEORIGINAL = 0 , CUSTOMIZE }

## Public Attributes
FileSaveConflictBox::ConflictRule | conflictRule = FileSaveConflictBox::DIFFNAME
bool | exifSetOrientation = true
| Setting managed through Metadata control panel.
IOFileSettings | ioFileSettings
DRawDecoderSettings | rawDecodingSettings
RawLoadingRule | rawLoadingRule = DEMOSAICING
QString | renamingParser
RenamingRule | renamingRule = USEORIGINAL
bool | saveAsNewVersion = true
bool | useMultiCoreCPU = false
bool | useOrgAlbum = true
| If true, original file dir will be used to process queue items.
QUrl | workingUrl